variables:
  IMAGE_TAG: $CI_COMMIT_REF_SLUG

.build: &build
  image: docker:git
  services:
  - docker:dind
  before_script:
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  script:
  - docker build -t $CI_REGISTRY_IMAGE:$IMAGE_TAG .
  - docker push $CI_REGISTRY_IMAGE:$IMAGE_TAG

branch-image:
  <<: *build

latest-image:
  <<: *build
  only:
  - master
  variables:
    IMAGE_TAG: latest
